## org.apache.xerces.impl.dv.xs
Class IntegerDV

    java.lang.Object
      org.apache.xerces.impl.dv.xs.TypeValidator
          org.apache.xerces.impl.dv.xs.DecimalDV
              org.apache.xerces.impl.dv.xs.IntegerDV

public class IntegerDV
extends DecimalDV

Represent the schema type "integer"

Version:
  $Id: IntegerDV.java,v 1.1 2002/11/18 23:10:10 sandygao Exp $
Author:
  Sandy Gao, IBM

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`IntegerDV()`

Method Summary
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`

Methods inherited from class org.apache.xerces.impl.dv.xs.DecimalDV
`compare, getAllowedFacets, getFractionDigits, getTotalDigits`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerDV

    public IntegerDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `DecimalDV`
  Throws:
    `InvalidDatatypeValueException`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.